Closed Bug 465729 Opened 14 years ago Closed 14 years ago

can't get addon updates due to sec_error_untrusted_issuer

Categories

(Toolkit :: Add-ons Manager, defect)

1.9.0 Branch
x86
Windows 2000
defect
Not set
normal

Tracking

()

RESOLVED DUPLICATE of bug 435743

People

(Reporter: patrickdrd, Unassigned)

Details

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b1) Gecko/20081007 Firefox/3.0 MEGAUPLOAD 1.0
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.1b1) Gecko/20081007 Firefox/3.0

Hi everyone!

I have already posted here:
http://forums.mozillazine.org/viewtopic.php?f=38&t=947625&p=5025625
but though of posting here too, hoping that someone would help me out with this:

I have trouble getting addon updates,
when I get on tools -> addons,
I get the following error:

http://i36.tinypic.com/2hmdb2x.jpg

The problem is that the bank I work for lately,
takes over the site's certificate issuer and so,
I see the bank's name in every ssl site I visit as the certificate isser and I have to add each such site as an exception.

The strange thing is that I have added services.mozilla.org under the certificates,
but doesn't work:

http://i37.tinypic.com/14j3lmf.jpg


What is going on?
How can I disable this very annoying feature of fx 3?

Please, somebody help me out,
I understand that my environment is somehow restricting,
but fx should be more flexible as well

I'm on a lan (use a proxy to connect to the internet) and I can't change connection strings etc,
no access to the bank's firewall of course

anivirus used is McAfee, which I can't control either,
it's controled by a server,
but even if I disable McAfee,
nothing happens,
so the problem should be the proxy
(should be very restricting or wrongly configured),
but is there sth I can do about that?

when I open my addons and press the find updates button,
this is the error I get on the error console
(after turning extensions.logging to true):

Datasource: Addon Update Ended: {0069127F-F91E-4A3A-829A-9CAB9D259E94}, status: 4
    ----------
    RDFItemUpdater::onXMLLoad: cert issuer is not built-in
    ----------
    Datasource: Addon Update Ended: videodowloader@videodownloader.net, status: 4
    ----------
    Datasource: Update Ended

I can't seem possible to find a workaround,
searching for and updating each addon,
one by one,
seems impossible!

Thanks in advance!

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Component: General → Add-ons Manager
Product: Firefox → Toolkit
QA Contact: general → add-ons.manager
Version: unspecified → 1.9.0 Branch
Status: UNCONFIRMED → RESOLVED
Closed: 14 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 435743
You need to log in before you can comment on or make changes to this bug.